if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}

schema_install gedit.schemas
schema_install gedit-file-browser.schemas
( cd usr/local/share/help/ar/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/ar/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/ar/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ar/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ar/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/ar/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/bg/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/bg/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ca/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/ca/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/ca/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ca/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ca/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/ca/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/cs/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/cs/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/cs/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/cs/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/cs/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/cs/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/da/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/da/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/da/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/da/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/da/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/da/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/de/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/de/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/el/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/el/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/en_GB/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/en_GB/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/en_GB/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/en_GB/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/en_GB/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/en_GB/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/es/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/es/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/es/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/es/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/es/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/es/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/eu/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/eu/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/eu/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/eu/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/eu/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/eu/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/fi/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/fi/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/fi/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/fi/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/fi/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/fi/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/fr/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/fr/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/gl/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/gl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/gl/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/gl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/gl/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/gl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/hu/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/hu/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/id/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/id/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/id/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/id/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/id/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/id/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/it/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/it/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/it/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/it/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/it/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/it/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/ja/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/ja/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/ja/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ja/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ja/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/ja/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/ko/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/ko/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/ko/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ko/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ko/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/ko/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/lv/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/lv/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/lv/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/lv/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/lv/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/lv/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/oc/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/oc/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/oc/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/oc/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/oc/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/oc/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/pl/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/pl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/pt_BR/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/pt_BR/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ro/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ro/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ru/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/ru/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/ru/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/ru/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/ru/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/ru/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/sl/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/sl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/sl/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/sl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/sl/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/sl/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/sv/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/sv/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/te/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/te/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/te/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/te/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/te/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/te/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/th/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/th/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/th/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/th/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/th/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/th/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/uk/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/uk/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/uk/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/uk/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/uk/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/uk/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/zh_CN/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/zh_HK/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; rm -rf gedit-html-snippet.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-html-snippet.png gedit-html-snippet.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; rm -rf gedit-icon.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit-icon.png gedit-icon.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; rm -rf gedit3-screenshot.png )
( cd usr/local/share/help/zh_TW/gedit/figures ; ln -sf /usr/local/share/help/C/gedit/figures/gedit3-screenshot.png gedit3-screenshot.png )
